#include<stdlib.h>
#include<string.h>
#include<ctype.h>
#include<math.h>
#include<stdio.h>
#define MAX 100
int main()
{
  int m,n;
  int j,i;
  int s[MAX][MAX];
  scanf("%d %d",&m,&n);
  if(m<=0 || n<=0)
  {
    printf("-1");
    exit(1);
  }
  for(i=0;i<m;i++)
      for(j=0;j<n;j++)
	scanf("%d",s[i][j]);
}